P4_CLOCK_FETCH(3)

NAME
p4_clock_fetch - CLOCK@ ( --- clock-ticks# ) [EXT]

SYNOPSIS

#include <pfe/facility-mix.h>

FCode p4_clock_fetch(---);

DESCRIPTION

return clock(2) - the number of clocks of this process. To get the number of seconds, divide by CLOCKS_PER_SEC as represented in the ENVIROMENT for a hosted forth system. A similar scheme is used by MS@ to compute the clock time rounded to milliseconds (named in similarity with MS sleep).

Remember that the process clock will wrap around at some point, therefore only use difference values between two clock reads.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>